
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>5大场景护航企业成长，实例解析阿里云适应性网络架构 / iVAN</title>

    <meta name="description" content="5大场景护航企业成长，实例解析阿里云适应性网络架构 企业成长的每个阶段,网络管理员都面临着不同的问题和挑战.公司初创时,等待设备送达度日如年.公司快速成长时,网络性能似乎永远跟不上业务需求,常常碰到&quot;此网页无法打开,请稍后再试&quot;的尴尬.当企业扩张跨越地域和国界时,各地客户体验参差不齐让人备受困扰.今天,我拿一个典型公司作为例子,根据这家公司不同阶段遇到的网络难题,给大家展示一下阿里云如何解决这些问题.X是一家互联网公司,公司的长期愿景是为全球网络游戏玩家提供身临其境的游戏体验. 场景1:公司初创,产品研发测试 客户故事:X公司 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">5大场景护航企业成长，实例解析阿里云适应性网络架构</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>企业成长的每个阶段，网络管理员都面临着不同的问题和挑战。公司初创时，等待设备送达度日如年。公司快速成长时，网络性能似乎永远跟不上业务需求，常常碰到“此网页无法打开，请稍后再试”的尴尬。当企业扩张跨越地域和国界时，各地客户体验参差不齐让人备受困扰。今天，我拿一个典型公司作为例子，根据这家公司不同阶段遇到的网络难题，给大家展示一下阿里云如何解决这些问题。X是一家互联网公司，公司的长期愿景是为全球网络游戏玩家提供身临其境的游戏体验。</p>
<p><b>场景1</b>：公司初创，产品研发测试</p>
<p><b>客户故事：</b>X公司成立伊始，10人的核心开发团队小而灵活。公司意识到公有云弹性伸缩、即开即用的特点非常适合快速产品迭代，决定把产品开发和测试环境搭建在公有云上。A公司这个阶段主要通过国内种子用户测试产品，及时改进。公司尚未盈利。</p>
<p><b>推荐网络架构：</b>在咨询阿里云网络专家后，客户决定采纳如下的基于虚拟网络VPC的云上网络架构。充分利用到弹性计算和网络资源的同时，通过VPC的二层隔离特性，保证了数据安全性。结合弹性公网IP（EIP），种子用户可以通过公网访问VPC内的游戏服务。云上网络VPC满足了客户敏捷开发、快速测试，及时推新版本的业务需求。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzg4ZDgwMTYxNjIwMmJkYmI0MDU0MzM0NWE1ODk5OGZiOTk3MDYzZTcuanBlZw==.jpg"></p>
<p> </p>
<p><b>场景2</b>：业务增长，网络可靠性需求</p>
<p><b>客户故事：</b>X公司的产品定位精准，制作精良，迅速收获了目标用户群体的良好口碑。产品日活跃用户数在短短3个月期间翻了一番。为了维持良好的客户体验，在激烈的行业竞争中领先，公司CTO对网络服务的稳定性和可用性提出了更高的要求。</p>
<p><b>推荐网络架构：</b>在这个阶段，我们建议客户把游戏服务器架设在不同的可用区内，可以有效避免同一可用区发生的单点故障。阿里云负载均衡SLB融合阿里巴巴集团多年实战经验，能有效应对高并发、大流量的网络突发场景。</p>
<p> <img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzFjMTBmZDQwMmVhZWJmZTU0NjE5M2U0M2I4ZGZkY2ZkYjliNGZjMmMuanBlZw==.jpg"></p>
<p> </p>
<p><b>场景3</b>：优化云上网络成本</p>
<p><b>客户故事：</b><br />
经历了一年用户数的飞速增长，X公司开始考虑盈利和优化成本问题。削减BGP公网成本是CTO急需解决的问题。此前，每台服务器购买独立的带宽，为预留未来增长空间，往往过量购买，造成资源的浪费。</p>
<p><b>推荐网络架构：</b>阿里云为客户推荐了新产品共享带宽。多台服务器共享带宽模式能减少单独购买带宽的闲置浪费，95计费模式去除了突发业务量造成的峰值陡增，计费更合理。客户无需改变原有网络架构，就能加入共享带宽服务，服务开通和计费完全自动化。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzFjNzg5ODlmNjU5ZDFlZjI4YzBjODY5ZDk1M2E5ZTRhYjZjNTAwYjQuanBlZw==.jpg"></p>
<p> </p>
<p><b>场景4</b>：多服跨地域高速互联</p>
<p><b>客户故事：</b><br />
X公司业务持续增长，第二年起公司计划在不同地域架设新的云服务器，以提升当地游戏用户体验。公司需要构建不同地域服务器间的高速互通，保证数据实时同步。</p>
<p><b>推荐网络架构：</b>除了在华东地域为客户搭建一套包含ECS集群的云上VPC以外，阿里云还为客户接通了两个地域之间的高速通道。该通道采用独享线路，保证了客户安全稳定的数据传输。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2EzNzI2NWZjYTU5ZmQyZjdjODk1OTY1MGQ1ZmJjNWJjOGFlOGYxZWQuanBlZw==.jpg"></p>
<p> </p>
<p><b>场景5</b>：全球游戏同服</p>
<p><b>客户故事：</b><br />
随着国内网游市场日趋饱和，X公司尝试开拓海外市场。跨国线路是否稳定以及国外玩家访问国内游戏服务器的时延是摆在CTO面前的两大难题。</p>
<p><b>推荐网络架构：</b>阿里云为客户推荐了全球加速服务，保证了海外VPC和国内VPC间的高速互通。原先多VPC间繁杂的路由配置工作让用户望而生畏，现在全球加速服务一键搞定，大大减少了跨国网络的部署时间，加速X公司拓展海外市场。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzkyNzg2NTQwZjllYTY2ZDQ4ODJmODFhNmVkMDBhMTMyMmFlZmI0ZmEuanBlZw==.jpg"></p>
<p> </p>
<p>读文章不过瘾？没关系，阿里云网络专家们还提供了亲手操作的机会。在10月13日杭州云栖大会的Clouder Lab专场上，专家会手把手教你搭建适应企业发展的云上网络架构。欢迎来现场和我们交流互动。报名链接：https://portal.aliyun.com/page/ticket</p>
<p> </p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-01 23:25:20</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%9e%b6%e6%9e%84/" title="架构">架构</a>, <a href="https://www.iamivan.net/tag/%e9%98%bf%e9%87%8c%e4%ba%91/" title="阿里云">阿里云</a>, <a href="https://www.iamivan.net/tag/%e6%9c%8d%e5%8a%a1%e5%99%a8/" title="服务器">服务器</a>, <a href="https://www.iamivan.net/tag/vpc/" title="VPC">VPC</a>, <a href="https://www.iamivan.net/tag/%e7%bd%91%e7%bb%9c%e4%b8%8e%e6%95%b0%e6%8d%ae%e9%80%9a%e4%bf%a1/" title="网络与数据通信">网络与数据通信</a>, <a href="https://www.iamivan.net/tag/%e4%ba%91%e6%a0%96%e5%a4%a7%e4%bc%9a/" title="云栖大会">云栖大会</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>5大场景护航企业成长，实例解析阿里云适应性网络架构的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyWX8Ez.html" rel="bookmark">云上&OpenCurlyDoubleQuote;私人定制&rdquo; 这些明星企业都用了阿里云企业级互联网架构</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1月6日,阿里云(http://click.aliyun.com/m/1866/)宣布旗下企业级互联网架构核心组件--企业级分布式应用服务(简称EDAS )正式商用,这也是国内首款商用的大规模企业级分布式应用服务. 对很多向互联网转型的大型企业和创业公司来说,传统的构架与指数增长的互联网在线业务无法匹配,当用户达到亿级的时候,网站过载.性能瓶颈.重复开发已经成为业务发展瓶颈,而传统的一些组件也难以适应互联网业务需求. &quot;互联网的问题要用互联网的架构来解决,&quot;企业级互联网架构负责人蒋江伟			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVNOnKz.html" rel="bookmark">阿里云ECS网络增强型实例设计原理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				摘要:为了满足直播.游戏.Hadoop.消息中间件等对网络转发能力有非常高要求的用户场景,主流的云计算厂商都推出了针对网络性能优化的虚拟机实例.如何实现高性能.低延迟.少抖动的虚拟机网络性能,一直都是非常有挑战的问题,业界的有多种实现的方法,但是都各有利弊.在和阿里云网络团队联合主办的2017阿里云网络技术在线高峰论坛,阿里云高级技术专家李星就为大家分享了阿里云的网络增强型的解决方案和思考. 本文内容根据演讲嘉宾分享视频以及PPT整理而成. 一.传统虚拟化网络所面对的挑战和瓶颈 在传统虚拟化网络			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn0g7kb.html" rel="bookmark">【IT技术】阿里RDS首席产品架构师何云飞：阿里云数据库的架构演进之路</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				专访阿里RDS首席产品架构师何云飞:阿里云数据库的架构演进之路 原文作者:pipihappy8888 http://www.itpub.net/thread-1887486-1-1.html 如果说淘宝革了零售的命,那么DT革了企业IT消费的命.在阿里巴巴看来,DT时代,企业IT消费的模式变成了&quot;云服务+数据&quot;,阿里云将打造一个像淘宝电商一样多方共赢的云生态.而作为阿里云庞大帝国的重要成员,阿里云RDS为社交网站.电子商务网站.手机App提供了可靠的数据存储服务.好的架构不是设计出来的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Lp5o2Ab.html" rel="bookmark">如何站在双11的肩膀上 详解阿里云企业级互联网架构</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				摘要:2015天猫双11全球狂欢节以912.17亿元的答卷完美收官.双11当天14万笔/秒的交易创建峰值和8.6万笔/秒的支付峰值双双刷新了世界纪录,相比首届双11,订单创建峰值增长了350倍,支付峰值增长了430倍.天量数字的背后,是中国计算能力的登顶全球. 阿里云计算总裁胡晓明表示,阿里巴巴承载双11的计算能力和... 2015天猫双11全球狂欢节以912.17亿元的答卷完美收官.双11当天14万笔/秒的交易创建峰值和8.6万笔/秒的支付峰值双双刷新了世界纪录,相比首届双11,订单创建峰值增			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEE4Kqb.html" rel="bookmark">专访阿里云游戏首席架构师李刚：如何解决云服务技术两大痛点？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				对于如今的游戏行业来说,云服务早已不是什么新鲜的话题.一定程度上,不论是近期兴起的手游,还是曾经的端游和页游,如今都会或多或少地运用到云计算功能.在众多&quot;云厂商&quot;中,如果从技术角度来看,阿里云无疑是经验资历最老的团队之一.据悉今年上半年,阿里云已占据将近50%的云服务市场份额. 来源:IDC 2008年9月,阿里巴巴正式确定了&quot;云计算&quot;战略,1年后阿里云正式成立.阿里云通过搭建原创底层代码研发出了&quot;飞天&quot;云操作系统.同时为了满足阿里旗下淘宝等核心			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXqQ7lz.html" rel="bookmark">深度解析阿里云存储</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 国际知名调研机构Gartner近日公布了2017年全球云计算云存储魔力象限,阿里云的云存储强势崛起成为这一核心领域的前四名. 图1 2017年Gartner全球云存储魔力象限图 在去年首次进入Gartner魔力象限即取得了不错的位置之后,今年阿里云存储再次强势进入公共云存储魔力象限,紧跟Google成为公共云存储厂商中在利基象限中最接近领导者象限的公共云存储厂商,而领导者象限中目前只有AWS和Azure. 图2 2016年Gartner全球云存储魔力象限图 作为国内市场排名第一的云厂商的云存储			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXqk6Qz.html" rel="bookmark">如何加强企业研发管理？阿里云效硬盘式管理实践揭秘</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				摘要:在云效持续集成持续交付专场直播中,阿里云效产品专家代平为大家带来了&lt;硬盘式研发管理实践&gt;分享,深入浅出地分享了互联网的研发管理理念,解析了企业研发管理面临的挑战和困难,揭密了如何结合云效产品进行业务技术协同线上化的硬盘式研发管理实践. 以下内容根据演讲嘉宾视频以及PPT整理而成. 嘉宾介绍 代平:阿里产品专家.从事多年互联网系统的研发测试和项目管理.现在专注于研发协同管理产品设计. 本次分享主要和大家探讨研发综合产品管理效能平台应该如何实现,以及如何打通需求.开发.测试.发布这样的产品研			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJAYr2p.html" rel="bookmark">使用Python解析阿里云CDN日志</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				某些原因,一开始没有设计网站的统计模块 如今需要加上,只能借助于百度统计或者阿里云的cdn日志文件,阿里云cdn的日志文件是web的访问信息 #log [9/Mar/2016:00:00:16 +0800] 222.171.7.89 - 62113 &quot;http://cloud.insta360.com/post/5e7b029d8ed7e3c4b23006a71bab73c8?e=true&amp;m=true&quot; &quot;GET http://cloud.insta360.com/			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrXJLVz.html" rel="bookmark">解析阿里云分布式调度系统伏羲</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				云计算并不是无中生有的概念,它是将普通的单台PC的计算能力通过分布式调度的软件连接起来.其最核心的问题是如何把100台.1千台.1万台机器高效的组织起来,灵活的进行任务调度和管理,从而使得可以像使用台式机一样使用云计算.在云计算中,最核心的模块是分布式调度,它好比于云计算的中央处理器.目前,业界已存在多种分布式调度实现方案,如伏羲.Hadoop MR.YARN.Mesos等系统. 阿里云伏羲 伏羲系统是在前人的基础上进行了一系列的改造,首先与YARN和Mesos系统类似,将资源的调度和任务调度分			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMAaqXM.html" rel="bookmark" class="title">PS制作晶莹剔透文字效果教程</a>
					<div>
						教程教大家用最简单的方法打造最亮丽的文字效果,在 Photoshop 只要运用图层样式,对图层样式进一步步的了解.通过本例子举一反三制作出不同文字效果.本教程应用到的图层样式有:投影.内阴影.内发光. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMRLo3z.html" rel="bookmark" class="title">Ajax实现网易相册样式的修改</a>
					<div>
						ajax 普通的ajax应用,结合javascript对html元素的动态操控,结合而成一个优美的效果. 还是用Ajax.net,设置与前篇文章一样,不再累述.代码如下:163photoTest.as ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMryL6b.html" rel="bookmark" class="title">用 iframe 解决下拉框与层之冲突</a>
					<div>
						解决|下拉 问题提出:我用dw做了一个下拉菜单,但是碰到form的列表项就跑到下面去了,请帮忙解决,请看问题图示如下: 解决问题:由于层与下拉框之间的优先级是:下拉框 &gt; 层,因此在显示的时候, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zOAOvM.html" rel="bookmark" class="title">将 HTML 文件转换成 XML</a>
					<div>
						xml|转换 在 Java 专家 Michael Geisler 为 Builder 澳大利亚写的第一篇文章中,他向读者展示了如何使用 JTidy 将 HTML 文件转换成 XML. 有关 Java  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Vzw1qmM.html" rel="bookmark" class="title">PHP程序加速探索之服务器负载测试</a>
					<div>
						程序|服务器 服务器负载太大而影响程序效率也是很常见的,我们需要对此进行测试.这里我以目前最常用的Apache服务器为例.  Apache服务器自带有一个叫AB(ApacheBench)的工具,在bi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyrY1vp.html" rel="bookmark" class="title">flex调用webservice中的自定义类的方法</a>
					<div>
						 flex如何调用webservice中的自定义类,下面有个不错的示例,不了解的朋友可以参考下 代码如下: public class ReturnResult  {  public int curIn ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxWlVQb.html" rel="bookmark" class="title">为什么Win8&period;1不能调节屏幕亮度？</a>
					<div>
						  一.首先是试着使用了网上找到的一种大家普遍解决了Win8.1屏幕亮度无法调节的解决办法: 网上大家用的比较多的一种方法是,通过修改注册表解决Win8.1屏幕亮度无法调节的问题. 具体方法为: 1. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Wm3Ab.html" rel="bookmark" class="title">如何开启win7电脑的四声道？</a>
					<div>
						可能单说四声道,很多朋友都觉得这个概念有些陌生,但是我们要是换种说法的话,那么大家肯定就熟悉很多了.其实咱们在电影院看电影的时候,享受的便是四声道的待遇,其实,想要感受这种超刺激的音响感觉,不一定非要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQNRA8M.html" rel="bookmark" class="title">win7系统登陆163邮箱出现0xc06d007e错误的解决方法</a>
					<div>
						  1.同时按下电脑键盘上的win+R快捷键打开电脑的运行窗口,在打开的运行窗口中,输入cmd并单击回车,打开命令提示符窗口了; 2.在打开的命令提示符窗口中,输入for %1 in (%windir ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVw8PYb.html" rel="bookmark" class="title">什么是电脑隐藏文件</a>
					<div>
						  一.隐藏文件具体操作步骤: 1.右击你想隐藏的文件; 2.点击最底层的属性栏; 3.在隐藏框上打勾; 4.点击应用或者确定即可. 二.插看隐藏文件 1.打开文件夹选项 鼠标单击窗口上的&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bamlQQb.html" rel="bookmark" class="title">如何让站点搜索排位更高&comma;搜索专家有秘诀</a>
					<div>
						你想确保你的站点能够被搜索引擎找到,并被赋予一个好的排位?很简单,你只要遵循几条基本的规则就行了,搜索专家说. 首先,你要弄懂Google的PageRank机制是如何检索网页和为网页排位的,Googl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN71A7p.html" rel="bookmark" class="title">java-关于xml解析&amp;amp&semi;amp&semi;lt&semi;&excl;&lbrack;CDATA&lbrack; &rsqb;&rsqb;</a>
					<div>
						问题描述 关于xml解析&lt;![CDATA[ ]] 我从一个数据平台接收消息 获取到的消息格式如下 //我通过xpath获取到节点. document = DocumentHelper.parse ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZyodb.html" rel="bookmark" class="title">vc&plus;&plus;-VC&plus;&plus;如何调用C&num;编写的串口驱动 DLL</a>
					<div>
						问题描述 VC++如何调用C#编写的串口驱动 DLL 最近弄一个串口打印的项目,我一直是用VC++进行开发的,c#没用过,但是对方提供的打印机的DEMO却是C#的例程,本来想着DLL是跨语言的,应该没 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYjAPQp.html" rel="bookmark" class="title">【原创】modb 功能设计之&OpenCurlyDoubleQuote;支持对sql语句的相关日志记录&rdquo;</a>
					<div>
						[需求分析] 终于到了处理 sql 日志的阶段了,万里长征重点的关键一步. 需要考虑解决的问题点如下:  在哪个模块上做 sql 日志记录 都要记录哪些信息才能做到跨机房数据同步时,具有可查询.可分析 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE4KYJz.html" rel="bookmark" class="title">电视盒子最大供应商&mdash;&mdash;互联网</a>
					<div>
						小编其实已经写了好几篇有关电视的文章,真心希望这篇文章能够是这个话题的最后一篇. 似乎在不少人眼中,电视(有线电视以及同盟IPTV)和报纸等媒体的它们的最大优势在于,它们是内容的代言人,只有通过媒体用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRPGAb.html" rel="bookmark" class="title">tomcat-inputStream解析url报错：UnKnownHostException&colon;xxx&period;com</a>
					<div>
						问题描述 inputStream解析url报错:UnKnownHostException:xxx.com 原文已发布在android论坛,但是没人回应,悬赏了100没人理我. 原文链接:http:// ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRY2Ob.html" rel="bookmark" class="title">5个构建第一个Java镜像的小窍门</a>
					<div>
						本文讲的是5个构建第一个Java镜像的小窍门[编者的话]Arun Gupta是&lt;Docker for Java Developers&gt;一书的作者,本文介绍了构建Java镜像的五个小窍门,从 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRdmRp.html" rel="bookmark" class="title">更新、删除数据的困惑，该不该用触发器，级联删除？</a>
					<div>
						问题描述 (问题一)系统中要删除一些用户表的数据,用户表的外键比较多,而且要备份我现在想到的处理方式有几种:加入有如下的几张表: song(song_id,artist_id,favorite_num ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZgelqb.html" rel="bookmark" class="title">大家来谈谈目前的黑客站形式</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 我来谈谈我所接触过的黑客站其实本来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL7eDRM.html" rel="bookmark" class="title">PHP版单点登陆实现方案的实例&lowbar;php实例</a>
					<div>
						摘要: 本文主要介绍了利用webservice,session,cookie技术,来进行通用的单点登录系统的分析与设计.具体实现语言为PHP.单点 登录,英文名为Single Sign On,简称为  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmK5j7b.html" rel="bookmark" class="title">激活邮件收不到&excl;&excl;&excl;</a>
					<div>
						问题描述 激活邮件收不到 解决方案 你好,有可能被你的邮箱设为垃圾邮件了,请先去垃圾邮件查找,如果还是没有请告诉我你注册开发者账户时的企业ID,五分钟之后再试.(处理人员得到企业ID之后,用激活工具激 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBg2r4M.html" rel="bookmark" class="title">Web3&period;0是真正的互联互通</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 Web 3.0从哲学意义上来说是多 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyePZlM.html" rel="bookmark" class="title">新手站长的SEO困惑</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 长期以来很多站长都致力为自已的网站 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdyV93z.html" rel="bookmark" class="title">freemarker-FreeMarker  设置模板存放路径的问题，请大神过目。。</a>
					<div>
						问题描述 FreeMarker 设置模板存放路径的问题,请大神过目.. &lt;bean id=&quot;freemarkerConfig&quot; class=&quot;org.springf ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5RxKWz.html" rel="bookmark" class="title">androidui-android gridview动态添加view</a>
					<div>
						问题描述 android gridview动态添加view 如何实现gridview动态添加view,最近在做一个项目,需要实现新闻订阅的功能.点击有加号的imageview,可以实现动态订阅新闻.很 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYXlDQb.html" rel="bookmark" class="title">Excel导出异常</a>
					<div>
						问题描述 大家好,我用IE导出EXCEL正常文件名为:&quot;产品记录201408312232.xls&quot;,到时用360就出现异常文件名为:&quot;产品记录201408312232.x ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBk6jdM.html" rel="bookmark" class="title">甲型H1N1流感成电子商务发展新契机</a>
					<div>
						商报讯(记者 罗添)昨日,一项来自带电子商务网站敦煌网的调查数据显示,2009年4月,甲型H1N1流感重灾区墨西哥的网上交易额环比增长高达53%.而其他疫区的网上交易额也在迅速增长.有分析认为,和20 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mlmmvqp.html" rel="bookmark" class="title">JavaScript的React Web库的理念剖析及基础上手指南&lowbar;其它</a>
					<div>
						React Web的目的及意义非常明确: 让React Native代码跑在Web上 让一套代码运行在各个移动终端,对前端及业务来说,这是开发效率中一个质的提升.在项目初期,我们也曾向 React团队 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr20yWM.html" rel="bookmark" class="title">javascript邮箱验证代码分析</a>
					<div>
						一个最简单的 这个邮箱验证不能验证邮箱长度和合法性,如输入 &quot;们我是@fdd.你好&quot; 也是可以过的确  代码如下 复制代码 function is_email(str) { if( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze0ydVp.html" rel="bookmark" class="title">js&plus;csss实现的一个带复选框的下拉框&lowbar;javascript技巧</a>
					<div>
						效果图: css: &lt;style type=&quot;text/css&quot;&gt; /* 带复选框的下拉框 */ ul li{ list-style: none; padding:0p ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
